{ config, pkgs, lib, ... }:

{
  programs.gnupg.agent = {
    enable = true;
    enableSSHSupport = true;
  };

  services.pcscd.enable = true;

  # Ignore Broadcom smartcard
  # See https://ludovicrousseau.blogspot.com/2015/12/remove-andor-customize-pcsc-reader-names.html
  systemd.services.pcscd.environment.PCSCLITE_FILTER_IGNORE_READER_NAMES =
    "Broadcom";
}
