{ config, lib, pkgs, ... }:

{
  virtualisation = { # TODO: This should probably be somewhere else.
    docker.enable = true;
    libvirtd.enable = true;
  };

  environment.systemPackages = with pkgs;
    [
      vscodium
      jetbrains.webstorm
      jetbrains.pycharm-professional
      jetbrains.idea-ultimate
      android-studio
      #umlet
      #hugo # TODO: Is this the extended version?
      #kubernetes-helm # TODO: is this the client?
      #wireshark # sslscan aircrack-ng # Network
      pipenv # Python
      yubikey-manager # cracklib genisoimage # Security
      gitlab-runner
    ] ++ [ # Virtualisation, Docker & Kubernetes # TODO: MOoe
      virt-manager
      docker-compose
      kubectl
      vagrant # TODO: Supports libvirtd?
    ];

}
