{ config, pkgs, lib, ... }:

let
  locksuspend = pkgs.writeScriptBin "locksuspend" ''
    #!${pkgs.stdenv.shell}
    set -euo pipefail
    IFS=$'\n\t'
    i3lock --ignore-empty-password --show-failed-attempts --color=000000
    sleep 0.5
    exec systemctl suspend
  '';
in {

  environment.homeBinInPath = true;

  environment.systemPackages = [ locksuspend ];
}
